This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch inserted_src
in repository toolchain/semiautobench.
commit 2c3919f8dc5713f2a9643cb4bc936408c3f7b646
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Wed Jul 22 17:06:29 2015 +0200
Remove use of LAVA_SSH_KEYFILE
Change-Id: Ic6a4fc2bd0f4bdf2369cf3b0f111c20516d7f237
---
invoke_session_debian | 1 -
1 file changed, 1 deletion(-)
diff --git a/invoke_session_debian b/invoke_session_debian
index 75a9b33..6cfb4aa 100755
--- a/invoke_session_debian
+++ b/invoke_session_debian
@@ -68,7 +68,6 @@ if ! ssh-keygen -P '' -f ~/data/onetime > /dev/null < /dev/null; then
rm -rf ~/data
exit 1
fi
-export LAVA_SSH_KEYFILE=${HOME}/data/onetime
#Need to be able to ssh to self to get local sources
#Can reuse the onetime key for this
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a change to branch inserted_src
in repository toolchain/semiautobench.
discards 00128f0 Wait for a private key rather than an agent
discards c06fd8a Iterate through not-host, rather than target
discards 932f81c Remove redundant onetime-keygen code
new b3ea878 Iterate through not-host, rather than target
new 0bd8011 Wait for a private key rather than an agent
new b27809c Get a socket to put our one-time key on targets
new 2c3919f Remove use of LAVA_SSH_KEYFILE
This update added new revisions after undoing existing revisions.
That is to say, some revisions that were in the old version of the
branch are not in the new version. This situation occurs
when a user --force pushes a change and generates a repository
containing something like this:
* -- * -- B -- O -- O -- O (00128f0)
\
N -- N -- N refs/heads/inserted_src (2c3919f)
You should already have received notification emails for all of the O
revisions, and so the following emails describe only the N revisions
from the common base, B.
Any revisions marked "omits" are not gone; other references still
refer to them. Any revisions marked "discards" are gone forever.
The 4 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
invoke_session_debian | 31 ++++++++++++++++++++++---------
1 file changed, 22 insertions(+), 9 deletions(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
unknown user pushed a change to branch trunk
in repository gcc.
from cfa66ec 2015-07-22 Richard Biener <rguenther(a)suse.de>
new 6059989 [Patch ARM/AArch64 obvious] Fix typo: Rename insn_reservation [...]
The 1 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
gcc/ChangeLog | 5 +++++
gcc/config/arm/cortex-a53.md | 2 +-
2 files changed, 6 insertions(+), 1 deletion(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
unknown user pushed a change to branch trunk
in repository gcc.
from 4d289e2 2015-07-22 Richard Biener <rguenther(a)suse.de>
new cfa66ec 2015-07-22 Richard Biener <rguenther(a)suse.de>
The 1 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
gcc/ChangeLog | 5 +++++
gcc/genmatch.c | 2 +-
2 files changed, 6 insertions(+), 1 deletion(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
unknown user pushed a change to branch trunk
in repository gcc.
from 68fb434 Add scheduling for M51xx core family.
new 4d289e2 2015-07-22 Richard Biener <rguenther(a)suse.de>
The 1 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
gcc/ChangeLog | 9 ++++
gcc/genmatch.c | 139 +++++++++++++++++++++++++++------------------------------
2 files changed, 76 insertions(+), 72 deletions(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch inserted_src
in repository toolchain/semiautobench.
commit c06fd8ac7f5c1b018983a13c01521a40fd623d01
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Wed Jul 22 15:25:17 2015 +0200
Iterate through not-host, rather than target
Lets us work around a multinode limitation (cannot have different
target types within a single role).
Change-Id: I4482e078702cc34e9558619f5be30aabd6ecc4ad
---
invoke_session_debian | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/invoke_session_debian b/invoke_session_debian
index 96cf119..9618e3a 100755
--- a/invoke_session_debian
+++ b/invoke_session_debian
@@ -76,7 +76,7 @@ lava-network collect eth0
echo WAITED > /dev/console
cat /tmp/lava_multi_node_cache.txt
target_names=()
-for lava_name in `lava-group | grep '[[:blank:]]*target$' | awk '{print $1}'`; do
+for lava_name in `lava-group | grep -v '[[:blank:]]*host$' | awk '{print $1}'`; do
echo "NAME ${lava_name}" > /dev/console
target_ip="$(lava-network query ${lava_name} ipv4)"
if test $? -ne 0; then echo "Failed to find IP for ${lava_name}"; sleep infinity [...]
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch inserted_src
in repository toolchain/semiautobench.
commit 00128f01df5e2dbb94e57beca6ffae7f52eac0fb
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Wed Jul 22 15:26:08 2015 +0200
Wait for a private key rather than an agent
Private key doesn't have to be kept up - this is fine so long as
we use a one-time key, as is the plan for Jenkins.
Change-Id: I22767bd6a92d66d28e9dbada644d746aeb41b928
---
invoke_session_debian | 18 ++++++++++++++++--
1 file changed, 16 insertions(+), 2 deletions(-)
diff --git a/invoke_session_debian b/invoke_session_debian
index 9618e3a..5956d0a 100755
--- a/invoke_session_debian
+++ b/invoke_session_debian
@@ -63,8 +63,15 @@ fi
sed -i 's#ssh://git@dev-private\.git\.linaro\.org#ssh://localhost/~/benchsrc/#' "$ [...]
#This would be two agents if we wanted one for source, one for job
-echo "*** WAITING FOR AGENT: ${ip_addr}"
-while ! ssh-add -l &> /dev/null; do inotifywait -e create /tmp; done
+mkdir ~/data || exit 1
+chmod 700 ~/data || exit 1
+echo "*** WAITING FOR KEY: ${ip_addr}"
+while ! test -e ~/data/targetkey; do
+ inotifywait -e create ~/data
+done
+chmod 600 ~/data/targetkey || exit 1
+eval `ssh-agent`
+ssh-add ~/data/targetkey || exit 1
echo ""
mkdir -p /run
mkdir -p /run/hacking
@@ -82,6 +89,13 @@ for lava_name in `lava-group | grep -v '[[:blank:]]*host$' | awk [...]
if test $? -ne 0; then echo "Failed to find IP for ${lava_name}"; sleep infinity [...]
if test -z "${target_ip}"; then echo "Failed to find IP for ${lava_name}"; sleep [...]
echo "IP ${target_ip}"
+
+ #Check that target is accessible, add to known_hosts
+ if ! ssh -o StrictHostKeyChecking=no true; then
+ echo "Could not access target ${target_ip} (${target_name})" >&2
+ exit 1
+ fi
+
target_base="$(echo ${lava_name} | sed 's/[[:digit:]]*$//')" #TODO: HACK
if test $? -ne 0; then echo "Failed to find target type from ${lava_name}"; exit 1; fi
echo "TYPE ${target_base}"
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a change to branch inserted_src
in repository toolchain/semiautobench.
from 8cb042e Wait for an agent, not source
new 7df6175 Default to getting toolchain over https
new 932f81c Remove redundant onetime-keygen code
new c06fd8a Iterate through not-host, rather than target
new 00128f0 Wait for a private key rather than an agent
The 4 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
bench-session-debian.yaml | 2 +-
invoke_session_debian | 36 +++++++++++++++++-------------------
2 files changed, 18 insertions(+), 20 deletions(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch inserted_src
in repository toolchain/semiautobench.
commit 932f81cc7e1e9a641538fbd646747aed217a5a91
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Wed Jul 22 15:23:39 2015 +0200
Remove redundant onetime-keygen code
This was for semiautobench
Change-Id: I6b3f68eb10a0687cd729ec731a10dc7b595a3341
---
invoke_session_debian | 16 ----------------
1 file changed, 16 deletions(-)
diff --git a/invoke_session_debian b/invoke_session_debian
index d4b13b5..96cf119 100755
--- a/invoke_session_debian
+++ b/invoke_session_debian
@@ -62,22 +62,6 @@ fi
#Expect local sources
sed -i 's#ssh://git@dev-private\.git\.linaro\.org#ssh://localhost/~/benchsrc/#' "$ [...]
-#Generate one-time key
-mkdir ~/data || exit 1
-if ! ssh-keygen -P '' -f ~/data/onetime > /dev/null < /dev/null; then
- rm -rf ~/data
- exit 1
-fi
-export LAVA_SSH_KEYFILE=${HOME}/data/onetime
-
-#Need to be able to ssh to self to get local sources
-#Can reuse the onetime key for this
-cat ~/data/onetime.pub >> ~/.ssh/authorized_keys
-if ! ssh -i ~/data/onetime -o StrictHostKeyChecking=no localhost true; then
- echo "Failed to ssh to self" >&2
- exit 1
-fi
-
#This would be two agents if we wanted one for source, one for job
echo "*** WAITING FOR AGENT: ${ip_addr}"
while ! ssh-add -l &> /dev/null; do inotifywait -e create /tmp; done
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.